> ## Name

> SrcBlendAlpha - 3D API source alpha blending type

> ## Usage

> SrcBlendAlpha = int(blend)

> ## Valid Enumerants

> blend: Zero, One, DestColor, InvDestColor, SrcAlpha, InvSrcAlpha, DstAlpha, InvDestAlpha, SrcAlphaSat, SrcColor, InvSrcColor, BlendFactor, InvBlendFactor

> ## Description

> Set the Direct3D separate alpha blending source blend type. See the D3DRS_SRCBLENDALPHA render state description for DirectX 9.

> The standard reset callback sets the SrcBlendAlpha state to int(One).

> ## Opengl Functionality Requirements

> Not applicable.

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> AlphaBlendEnable, BlendEnable, BlendColor, BlendEquation, BlendEquationSeparate, BlendFunc, BlendFuncSeparate, BlendOp, DestBlend, IndexedVertexBlendEnable, SrcBlend, VertexBlend, BlendOpAlpha, DestBlendAlpha, SeparateAlphaBlendEnable